[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rpms/eclipse/devel eclipse.spec,1.469,1.470



Ben, please also exclude alpha...

Thx,
 Oliver

On 08/29/2007 04:28 PM, Ben Konrath (bkonrath) wrote:
> Author: bkonrath
> 
> Update of /cvs/pkgs/rpms/eclipse/devel
> In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv9929
> 
> Modified Files:
> 	eclipse.spec 
> Log Message:
> * Tue Aug 28 2007 Ben Konrath <bkonrath redhat com> 3.3.0-11
> - Require mylyn on all archs except ppc64.
> 
> 
> 
> Index: eclipse.spec
> ===================================================================
> RCS file: /cvs/pkgs/rpms/eclipse/devel/eclipse.spec,v
> retrieving revision 1.469
> retrieving revision 1.470
> diff -u -r1.469 -r1.470
> --- eclipse.spec	29 Aug 2007 13:46:48 -0000	1.469
> +++ eclipse.spec	29 Aug 2007 14:28:27 -0000	1.470
> @@ -243,10 +243,14 @@
>  Requires: eclipse-cvs-client
>  Requires: eclipse-subclipse
>  Requires: eclipse-changelog
> +# no xmlrpc3 -> no mylyn on ppc64 due to:
> +# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=239123
> +%ifnarch ppc64
>  Requires: eclipse-mylyn
>  Requires: eclipse-mylyn-ide
>  Requires: eclipse-mylyn-bugzilla
>  Requires: eclipse-mylyn-trac
> +%endif
>  
>  %description    platform
>  The Eclipse Platform is the base of all IDE plugins.  This does not include the
> @@ -275,7 +279,11 @@
>  Requires:       junit >= 3.8.1-3jpp
>  Requires:       junit4
>  Requires:       java-javadoc
> +# no xmlrpc3 -> no mylyn on ppc64 due to:
> +# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=239123
> +%ifnarch ppc64
>  Requires:       eclipse-mylyn-java
> +%endif
>  %if %{gcj_support}
>  Requires(post):     java-gcj-compat >= 1.0.64
>  Requires(postun):   java-gcj-compat >= 1.0.64
> @@ -299,6 +307,7 @@
>  Summary:        Eclipse Plugin Development Environment
>  Group:          Text Editors/Integrated Development Environments (IDE)
>  Provides:	eclipse
> +Provides:	eclipse-sdk
>  Requires:       %{name}-platform = %{epoch}:%{version}-%{release}
>  Requires:       %{name}-jdt = %{epoch}:%{version}-%{release}
>  Requires:       %{name}-pde-runtime = %{epoch}:%{version}-%{release}
> @@ -306,7 +315,11 @@
>  Requires:       %{name}-cvs-client-sdk = %{epoch}:%{version}-%{release}
>  Requires:       %{name}-jdt-sdk = %{epoch}:%{version}-%{release}
>  Requires:       %{name}-rcp-sdk = %{epoch}:%{version}-%{release}
> +# no xmlrpc3 -> no mylyn on ppc64 due to:
> +# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=239123
> +%ifnarch ppc64
>  Requires:       eclipse-mylyn-pde
> +%endif
>  Requires(post):    %{name}-platform = %{epoch}:%{version}-%{release}
>  Requires(postun):  %{name}-platform = %{epoch}:%{version}-%{release}
>  Requires(post):    %{name}-platform-sdk = %{epoch}:%{version}-%{release}
> @@ -1596,6 +1609,9 @@
>  %endif
>  
>  %changelog
> +* Tue Aug 28 2007 Ben Konrath <bkonrath redhat com> 3.3.0-11
> +- Require mylyn on all archs except ppc64.
> +
>  * Tue Aug 28 2007 Andrew Overholt <overholt redhat com> 3.3.0-11
>  - Symlink to jetty.
>  
> 


-- 
Oliver Falk
UNIX/Linux Systems Engineer
Mail: oliver linux-kernel at
Phone: +43 (664) 838 59 25


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]